PHP 7.2 Rollback

Fun little story. My host recently contacted everyone to tell us that the PHP 7 version on the servers which were recently upgraded to 7.2 (5.6 is also available and is still the default) was rolled back to 7.1. Apparently a lot of sites were breaking including WordPress plugins, Magento and others.

For me, this was very good news. Why? Literally minutes before that email arrived in my inbox, I’d noticed my own sites behaving badly, despite my advance testing. The reason? The mcrypt library was removed in PHP 7.2. Yes, we were warned about this with its deprecation in 7.1… but I was jumping from 5.6 to 7.2 and missed that whole grace window.

My use of mcrypt was to make some embed tokens harder to mess with. Nothing mission critical or security related. But it adds some work to my plate. If I were to guess what the main reason for PHP 7.2 backwards compatibility issues is? Mcrypt. Stop using it. Look into the Openssl functions.

Leave a Reply

Your email address will not be published. Required fields are marked *

2 × one =